Package com.destroystokyo.paper.event.player

# Class PlayerPostRespawnEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
com.destroystokyo.paper.event.player.PlayerPostRespawnEvent

public class PlayerPostRespawnEvent extends PlayerEvent
Fired after a player has respawned

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerPostRespawnEvent(@NotNull Player respawnPlayer, @NotNull Location respawnedLocation, boolean isBedSpawn)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull Location`
`getRespawnedLocation()`
Returns the location of the respawned player
`boolean`
`isBedSpawn()`
Checks if the player respawned to their bed

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerPostRespawnEvent

public PlayerPostRespawnEvent(@NotNull @NotNull Player respawnPlayer, @NotNull @NotNull Location respawnedLocation, boolean isBedSpawn)

## Method Details

### getRespawnedLocation

@NotNull public @NotNull Location getRespawnedLocation()
Returns the location of the respawned player

Returns:
  location of the respawned player

### isBedSpawn

public boolean isBedSpawn()
Checks if the player respawned to their bed

Returns:
  whether the player respawned to their bed

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()